aboutsummaryrefslogtreecommitdiff
path: root/helpers/git-which-branch
diff options
context:
space:
mode:
authorRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
committerRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
commit94cc104f044261f74fbff3ff587855df1a05f64d (patch)
tree7c6664fdf7e7fab54fea926b1fc6196a09b6540f /helpers/git-which-branch
Initial Commit, moving from dev-private and removing private stuff
Diffstat (limited to 'helpers/git-which-branch')
-rwxr-xr-xhelpers/git-which-branch12
1 files changed, 12 insertions, 0 deletions
diff --git a/helpers/git-which-branch b/helpers/git-which-branch
new file mode 100755
index 0000000..6ff2cc3
--- /dev/null
+++ b/helpers/git-which-branch
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+# Simple wrapper for getting the current branch on a git repo.
+
+. llvm-common
+
+if is_git > /dev/null 2>&1; then
+ get_branch
+else
+ echo "You're not in a git repository"
+ exit 1
+fi